getGyroCleanRecords(params: GetGyroCleanRecordsParams)

Requires:
@ray-js/ray≥1.7.14Base library≥2.29.0

Description

Get the cleaning record list for a gyroscope-based robot vacuum

Parameters

ParameterTypeRequiredDescription
YesQuery parameters including Device ID, a set of DPs, and pagination info

Return Value

Type: Promise<GetGyroCleanRecordsResponse>
Promise that resolves with the gyroscope-based vacuum's cleaning record list and total count

Examples

import React from 'react';
import { Button, getGyroCleanRecords } from '@ray-js/ray';

export default function Demo() {
  const handleFetch = async () => {
    const result = await getGyroCleanRecords({
      devId: 'your-device-id',
      dpIds: [101, 102],
      offset: 0,
      limit: 10,
    });
    console.log(result.datas, result.totalCount);
  };
  return <Button onClick={handleFetch}>Get gyroscope records</Button>;
}